-- не позволяем выставлять дублирующиеся адреса
CREATE TRIGGER OnСкладUpdate ON [dbo].[Склад] 
FOR INSERT, UPDATE
AS
  if exists(
    select 1 
    from inserted
    inner join Склад on Склад.AddressID = inserted.AddressID 
    where inserted.AddressID IS NOT NULL AND inserted.Код_склада <> Склад.Код_склада)
  begin
    RAISERROR ('Значение поля AddressID в таблице Склад должно быть уникальным',16,1)
    ROLLBACK TRANSACTION
  end
